function ConsumableMissionInteractionExt:interact(player)
	Application:debug("[ConsumableMissionInteractionExt:interact] called : called consumable mission interaction!")
	ConsumableMissionInteractionExt.super.interact(self, player)
	
	--Rogue's Gallery is called "sto"
	managers.consumable_missions:pickup_mission("sto")

	local notification_data = {
		id = "hud_hint_consumable_mission",
		duration = 4,
		priority = 3,
		notification_type = HUDNotification.CONSUMABLE_MISSION_PICKED_UP
	}

	managers.notification:add_notification(notification_data)
end